
package de.ivu.elect.dokumente.ergebnis.p22;

import de.ivu.elect.business.wahl.control.AbstractNlExportArtefaktNachSystemExportstatusExportContext;
import de.ivu.elect.was.exchange.ergebnis.NlWasModelP221BijlageExportMapper;

public class NlWasModelP221Bijlage1DocumentExportMapper extends AbstractNlWasModelP221DocumentExportMapper implements NlWasModelP221BijlageExportMapper {

  public static final String FILE_FORMAT_NAME = "file.format.ergebnisdokument.export.modelp221.bijlage1";

  public NlWasModelP221Bijlage1DocumentExportMapper() {
    super();
  }

  @Override
  public boolean supportsBulkExportNachSystemExportstatus(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false; // ELECT-10377, Export über eigenen Menüpunkt (und nicht als Teil eines Exportes nach Wahlphase), cf. NlWasExportArtefaktNachSystemExportstatusMainMenuEntry...
  }

  @Override
  public String getFileFormatName() {
    return FILE_FORMAT_NAME;
  }

  @Override
  protected String getDokumentVorlageNameInfix() {
    return "Model P 22-1 bijlage";
  }

  /*
   * https://support.elect-it.com/wiki/x/XoE8
   */
  @Override
  public boolean requiresWahlausschusssitzungAnschriftStrasseHausnummer(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false;
  }

  @Override
  public boolean requiresWahlausschusssitzungAnschriftOrt(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false;
  }

  @Override
  public boolean requiresWahlausschusssitzungAnschriftPlz(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false;
  }

  @Override
  public boolean requiresWahlausschusssitzungBeginn(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return false;
  }

  @Override
  public boolean requiresWahlausschusssitzungEinwaende(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }

  @Override
  public boolean requiresWahlausschusssitzungEinwaendeBemerkungen(AbstractNlExportArtefaktNachSystemExportstatusExportContext context) {
    return true;
  }
}
